Subject: Bug#471: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)

From: Stefan Baur <[email-masked]>
Date: Thu, 03 Apr 2014 10:47:34 +0200

Am 03.04.2014 10:19, schrieb Mike Gabriel:
>> This is part of the "ps ax" output on one of the affected
>> machines:
>> 
>> 2563 pts/2    S+     0:00 apt-get upgrade -y 4958 pts/1    S+
>> 0:00 /usr/bin/perl -w /usr/share/debconf/frontend 
>> /var/lib/dpkg/info/x2goserver.postinst configure
>> 4.0.1.13-0x2go1+ 4962 pts/1    Z+     0:00 [x2goserver.post]
>> <defunct> 5004 pts/1    S+     0:00 /usr/bin/perl
>> /usr/sbin/x2gocleansessions

> Can you please:
> o upgrade to 4.0.1.14

That is actually what I was doing - no idea why the ps output suggests
that the 4.0.1.13-postinst is being called.

> o killall x2gocleansessions once the init script hangs during
> upgrade

I used

ps ax | grep x2gocleansessions | grep perl \
| awk ' { print $1 }' | xargs -n 1 kill

instead as I came up with that before you replied.
(I wasn't sure if killall does more nasty things, and the system I was
trying it on was already b0rked enough.)

... so I skipped this part ...
> o replace /usr/sbin/x2gocleansessions by this file [1] o sudo
> service x2goserver start

... because this happens immediately after the kill:
> o now it should not hang...

> Sorry, I forgot one cherry-pick to the release/4.0.1.x branch in 
> x2goserver.git.

Gna. Gnagnagna. :-/

-Stefan